Subject: RE: bug#10382: 24.0.92; gratuituous `file-supersession' error for `menu-bar-update-hook'

From: "Drew Adams" <[email-masked]>
Date: Mon, 16 Jan 2012 08:22:31 -0800

> I think we'll need a backtrace at the time of the "really edit
> the buffer?" prompt in order to debug this.  Tho, I suspect 
> it won't be easy to get one since this is in the middle of 
> menu-bar-update-hook, so redisplay might be inhibited.

Right.  I don't know how to obtain that.  And as I said, this does not seem to
happen all the time.

Perhaps it would be more helpful to take a look at recent changes to the code.
Perhaps the code which issues this "file supersession" prompt (I've never seen
that before) or the revert code.  Dunno.

Or perhaps the display code?  One question is why I do not see the message, and
Emacs seems to hang, until I hit C-g.  It is only after canceling out of the
(presumed) revert-confirmation dialog that I can see the prompt for that
confirmation.

And why I would be prompted at all when I use this no-confirmation command is
another question.  (revert-buffer t t) should not be asking for confirmation.